
class SysLogServe {
  async all(param) {
    let res =  await window.framework.http.get("/sys_log/all", param);
    return res;
  }

  async detail(param) {
    let res =  await window.framework.http.get("/sys_log/detail", param);
    return res;
  }

  async delete(param) {
    let res =  await window.framework.http.get("/sys_log/delete", param);
    return res;
  }

  async delete_all(param) {
    let res =  await window.framework.http.get("/sys_log/delete_all", param);
    return res;
  }

  async operates(param) {
    let res =  await window.framework.http.get("/sys_log/operates", param);
    return res;
  }
}

const sys_log_serve = new SysLogServe();
export default sys_log_serve;
